### Method

# Ggit DiffDelta ref

#### Declaration [src]

    GgitDiffDelta*
    ggit_diff_delta_ref (
      GgitDiffDelta* delta
    )

#### Description [src]

Atomically increments the reference count of `delta` by one. This function is MT-safe and may be called from any thread.

#### Return value

Type: `GgitDiffDelta`

A `GgitDiffDelta` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.